Log::Dispatch::Null(3)

NAME
Log::Dispatch::Null - Object that accepts messages and does nothing

VERSION
version 2.32

SYNOPSIS
  use Log::Dispatch;

  my $null = Log::Dispatch->new( outputs => [ ['Null'] ] );

  $null->emerg( "I've fallen and I can't get up" );

DESCRIPTION
This class provides a null logging object. Messages can be sent to the object but it does nothing with them.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)